#include "helpdialog.h"
#include "ui_helpdialog.h"

#include "common.h"


HelpDialog::HelpDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::HelpDialog)
{
    ui->setupUi(this);

    QFile file(":/license/copyright");
    if (!file.open(QIODevice::ReadOnly | QIODevice::Text))
    {
        ui->license->setPlainText("Can't read license data");
        return;
    }

    QTextStream in(&file);

    ui->license->setAlignment(Qt::AlignLeft);
    ui->license->setPlainText(in.readAll());



}

HelpDialog::~HelpDialog()
{
    delete ui;
}


void HelpDialog::on_pushButton_clicked()
{

 reject();
}
